Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Angular 2: Compatible packages #469

Closed
tsvetomir opened this issue Apr 12, 2017 · 9 comments

Comments

@tsvetomir
Copy link
Member

commented Apr 12, 2017

The latest versions of the packages in the suite support only Angular 4.x We recommend upgrading at the earliest of your convenience. Angular 4.x is designated as Long Term Support version with 18 months of support.

If you're developing an Angular 2.x application you can use the @ng2 tag to obtain the latest compatible versions. For example, to install the Grid use:

npm install --save @progress/kendo-angular-grid@ng2 @progress/kendo-angular-dropdowns@ng2 @progress/kendo-angular-inputs@ng2 @progress/kendo-data-query@ng2 @progress/kendo-angular-intl@ng2 @progress/kendo-angular-l10n@ng2

Important notes

  • The documentation on the site is out of sync with regards of these packages
  • These packages are not expected to be updated
@aerlijman

This comment has been minimized.

Copy link

commented Apr 12, 2017

Can you give us more help in upgrading to angular 4? I ran what you suggest npm install with @ng2 but still see warnings of all controls about 2.X. How can I upgrade all controls to version 4 and remove previous references?

If I ran npm install --save @progress/kendo-angular-buttons@ng2 @progress/kendo-angular-l10n@ng2 I still see npm WARN @progress/kendo-angular-buttons@0.23.0 requires a peer of @angular/common@^2.4.0 but none was installed.
npm WARN @progress/kendo-angular-buttons@0.23.0 requires a peer of @angular/core@^2.4.0 but none was installed.

@tsvetomir

This comment has been minimized.

Copy link
Member Author

commented Apr 12, 2017

Just install the packages without a tag. This will pull the latest version:

npm install --save @progress/kendo-angular-buttons @progress/kendo-angular-l10n

@aerlijman

This comment has been minimized.

Copy link

commented Apr 12, 2017

I still get warnings for buttons after running that without the ng2 tag. Is the 0.23 the latest version?

npm WARN @progress/kendo-angular-buttons@0.23.0 requires a peer of @angular/common@^2.4.0 but none was installed.
npm WARN @progress/kendo-angular-buttons@0.23.0 requires a peer of @angular/core@^2.4.0 but none was installed.

@tsvetomir

This comment has been minimized.

Copy link
Member Author

commented Apr 12, 2017

No, the buttons are at 0.24. You might need to update your package.json manually.

@aerlijman

This comment has been minimized.

Copy link

commented Apr 12, 2017

With that change to .24 I get:

npm WARN @progress/kendo-angular-buttons@0.24.0 requires a peer of @progress/kendo-angular-l10n@^0.3.0 but none was installed.

After changing to 0.3, that other warning was removed.
Where can I get all latest versions that support angular 4 so I can change my package manually?
thx for all!

@aerlijman

This comment has been minimized.

Copy link

commented Apr 12, 2017

Got it in the Change log of every component.
Never mind
thx for all!

@eliahum

This comment has been minimized.

Copy link

commented Jun 5, 2017

Hi
if i run
npm install --save @progress/kendo-angular-grid@ng2
in package manager console in VSTS 2015
i get this error

Unrecognized token in source text.

help please

@Quovadisqc

This comment has been minimized.

Copy link

commented Jun 15, 2017

@eliahum The tag is added at the end of the package name.
Ex; npm install --save @progress/kendo-angular-dialog@ng2

@tsvetomir

This comment has been minimized.

Copy link
Member Author

commented Jun 16, 2017

Check out the Angular Update Guide. First impressions are good.

screen shot 2017-06-16 at 8 10 52

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.